
Name:           python-mglob
Version:        0.4
Release:        %mkrel 7
Summary:        Enhanced file name globbing module

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/mglob
Source0:        http://pypi.python.org/packages/source/m/mglob/mglob-%{version}.zip
# sent upstream via mail
Patch0:         mglob-0.4-built-in-set.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing
library for own python programs.
Some enhanced features are recursion, exclusion, and directory omission.

%package -n python3-mglob
Group:          Development/Python
Summary:        Enhanced file name globbing module
%description -n python3-mglob
Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing
library for own python programs.
Some enhanced features are recursion, exclusion, and directory omission.

%prep
%setup -q -n mglob-%{version}
%patch0
sed -i -e '/^#!\//, 1d' mglob.py

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%{_bindir}/2to3 --write --nobackups %{py3dir}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'


%build
pushd %{py3dir}
    %{__python3} setup.py build
popd

%{__python} setup.py build


%install
pushd %{py3dir}
    %{__python3} setup.py install -O1 --skip-build --root %{buildroot}
    mv %{buildroot}%{_bindir}/mglob %{buildroot}%{_bindir}/python3-mglob
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%{_bindir}/mglob
%{python_sitelib}/mglob.py*
%{python_sitelib}/mglob-%{version}-py?.?.egg-info

%files -n python3-mglob
%{_bindir}/python3-mglob
%{python3_sitelib}/__pycache__/mglob.cpython*
%{python3_sitelib}/mglob.py*
%{python3_sitelib}/mglob-%{version}-py?.?.egg-info



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.4-7.mga6
+ Revision: 970443
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 0.4-6.mga6
+ Revision: 886737
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.4-5.mga5
+ Revision: 746530
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4-4.mga5
+ Revision: 729058
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4-3.mga5
+ Revision: 688148
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.4-2.mga5
+ Revision: 628793
- Rebuild for new Python

* Fri Mar 14 2014 philippem <philippem> 0.4-1.mga5
+ Revision: 603912
- remove not needed explicit dependency to 2to3
- imported package python-mglob

